io.vertx.rxjava.ext.web.handler

## Interface AuthHandler

- All Superinterfaces:
    Handler<RoutingContext>
  All Known Implementing Classes:
    BasicAuthHandler, JWTAuthHandler, RedirectAuthHandler

      public interface AuthHandler
      extends Handler<RoutingContext>

  Base interface for auth handlers.

  An auth handler allows your application to provide authentication/authorisation support.

  Auth handler requires a `SessionHandler` to be on the routing chain before it.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static AuthHandler` | `newInstance(AuthHandler arg)`

- - ### Method Detail

    - #### getDelegate

          Object getDelegate()

    - #### handle

          void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### addAuthority

          AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          static AuthHandler newInstance(AuthHandler arg)

Copyright © 2015. All Rights Reserved.